IPPOOL(8) | System Manager's Manual | IPPOOL(8)

# NAME

ippool - user interface to the IPFilter pools

# SYNOPSIS

ippool -a [-dnv] [-m <name>] [-o <role>] [-t <type>] [-T ttl] -i <ipaddr>[/<netmask>]
ippool -A [-dnv] [-m <name>] [-o <role>] [-S <seed>] [-t <type>]
ippool -f <file> [-dnuv]
ippool -F [-dv] [-o <role>] [-t <type>]
ippool -l [-dv] [-m <name>] [-t <type>]
ippool -r [-dnv] [-m <name>] [-o <role>] [-t <type>] -i <ipaddr>[/<netmask>]
ippool -R [-dnv] [-m <name>] [-o <role>] [-t <type>]
ippool -s [-dtv] [-M <core>] [-N <namelist>]

# DESCRIPTION

Ippool is used to manage information stored in the IP pools subsystem of IPFilter. Configuration file information may be parsed and loaded into the kernel, currently configured pools removed or changed as well as inspected.

The command line options used are broken into two sections: the global options and the instance specific options.

# GLOBAL OPTIONS

-d
  Toggle debugging of processing the configuration file.
-n
  This flag (no-change) prevents ippool from actually making any ioctl calls or doing anything which would alter the currently running kernel.
-v
  Turn verbose mode on.

# COMMAND OPTIONS

-a
  Add a new data node to an existing pool in the kernel.
-A
  Add a new (empty) pool to the kernel.
-f <file>
  Read in IP pool configuration information from the file and load it into the kernel.
-F
  Flush loaded pools from the kernel.
-l
  Display a list of pools currently loaded into the kernel.
-r
  Remove an existing data node from a pool in the kernel.
-R
  Remove an existing pool from within the kernel.
-s
  Display IP pool statistical information.

# OPTIONS

-i <ipaddr>[/<netmask>]
  Sets the IP address for the operation being undertaken with an all-ones mask or, optionally, a specific netmask given in either the dotted-quad notation or a single integer.
-m <name>
  Sets the pool name for the current operation.
-M <core>
  Specify an alternative path to /dev/kmem to retrieve statistical information from.
-N <namelist>
  Specify an alternative path to look up symbol name information from when retrieving statistical information.
-o <role>
  Sets the role with which this pool is to be used. Currently only ipf, auth and count are accepted as arguments to this option.
-S <seed>
  Sets the hashing seed to the number specified. Only for use with hash type pools.
-t <type>
  Sets the type of pool being defined. Must be one of tree, hash, group-map.
-T <ttl>
  Sets the expiration of the node being added. The timeout is expressed as a number of seconds. tree, hash, group-map.
-u
  When parsing a configuration file, rather than load new pool data into the kernel, unload it.

# FILES

/dev/iplookup
/etc/ippool.conf

# SEE ALSO

ippool(5), ipf(8), ipfstat(8)